Fri, 04 Dec 2020 14:54:17 CET | login

Information for build perl-Module-Load-0.24-3.el7

ID1744
Package Nameperl-Module-Load
Version0.24
Release3.el7
Epoch1
SummaryRun-time require of both modules and files
DescriptionIf you consult "perldoc -f require" you will see that "require" will behave differently when given a bare-word or a string. In the case of a string, "require" assumes you are wanting to load a file. But in the case of a bare-word, it assumes you mean a module. This gives nasty overhead when you are trying to dynamically require modules at run-time, since you will need to change the module notation to a file notation fitting the particular platform you are on. "load" eliminates the need for this overhead and will just DWYM.
Built bykojiadmin
State complete
Volume DEFAULT
StartedFri, 03 Jul 2020 03:26:41 CEST
CompletedFri, 03 Jul 2020 03:26:41 CEST
Tags
built-by-centos
centos-7.5
v8.2-base
RPMs
src
perl-Module-Load-0.24-3.el7.src.rpm (info) (download)
noarch
perl-Module-Load-0.24-3.el7.noarch.rpm (info) (download)
Changelog * Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 1:0.24-3 - Mass rebuild 2013-12-27 * Fri Apr 05 2013 Petr Pisar <ppisar@redhat.com> - 1:0.24-2 - Set epoch to compete with perl.spec * Mon Mar 18 2013 Petr Pisar <ppisar@redhat.com> 0.24-1 - Specfile autogenerated by cpanspec 1.78.